perl-strictures-2.0.1-1-rosa2014.1.noarch.rpm


Advertisement

Description

perl-strictures - Strictures perl module

Property Value
Distribution ROSA 2014.1
Repository ROSA Main Updates x86_64
Package filename perl-strictures-2.0.1-1-rosa2014.1.noarch.rpm
Package name perl-strictures
Package version 2.0.1
Package release 1-rosa2014.1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/strictures
License GPL+ or Artistic
Maintainer -
Download size 18.96 KB
Installed size 35.61 KB
I've been writing the equivalent of this module at the top of my code for
about a year now. I figured it was time to make it shorter.
Things like the importer in 'use Moose' don't help me because they turn
warnings on but don't make them fatal - which from my point of view is
useless because I want an exception to tell me my code isn't warnings
clean.
Any time I see a warning from my code, that indicates a mistake.

Alternatives

Package Version Architecture Repository
perl-strictures-2.0.1-1-rosa2014.1.noarch.rpm 2.0.1 noarch ROSA Main Updates
perl-strictures-1.5.4-3-rosa2014.1.noarch.rpm 1.5.4 noarch ROSA Contrib
perl-strictures-1.5.4-3-rosa2014.1.noarch.rpm 1.5.4 noarch ROSA Contrib
perl-strictures - - -

Requires

Name Value
perl(abi) >= 5.18.2

Provides

Name Value
perl(strictures) -
perl-strictures == 2.0.1-1:2014.1

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package perl-strictures-2.0.1-1-rosa2014.1.noarch.rpm
Source Package perl-strictures-2.0.1-1.src.rpm

Install Howto

  1. Enable ROSA Main Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-strictures rpm package:
    # urpmi perl-strictures

Files

Path
/usr/lib/perl5/vendor_perl/5.18.2/strictures.pm
/usr/lib/perl5/vendor_perl/5.18.2/strictures/extra.pm
/usr/share/doc/perl-strictures/Changes
/usr/share/doc/perl-strictures/META.yml
/usr/share/doc/perl-strictures/README
/usr/share/man/man3/strictures.3pm.xz
/usr/share/man/man3/strictures::extra.3pm.xz

Changelog

2015-12-28 - dsilakov <denis.silakov@rosalab.ru> 2.0.1-1
- (a61b6e1) Merge pull request #2 from import/perl-strictures:auto_update
- (a61b6e1) Updated to 2.000001 (by updates_builder)

See Also

Package Description
perl-svn-devel-1.8.17-1-rosa2014.1.x86_64.rpm Subversion headers/libraries for development
perl-taktuk-3.7.5-3-rosa2014.1.x86_64.rpm Taktuk Perl package
pesign-0.108-3-rosa2014.1.x86_64.rpm Signing utility for UEFI binaries
phodav-i18n-2.0-1-rosa2014.1.noarch.rpm Translation files for phodav
phonon-designer-plugin-4.9.0-1-rosa2014.1.x86_64.rpm Phonon Designer plugin
phonon-devel-4.9.0-1-rosa2014.1.x86_64.rpm Phonon Qt4 development files
phonon-gstreamer-4.9.0-1-rosa2014.1.x86_64.rpm GStreamer backend to Phonon (Qt4)
phonon-gstreamer-common-4.9.0-1-rosa2014.1.x86_64.rpm Files used by both Qt4 and Qt5 versions of Phonon GStreamer backend
phonon4qt5-designer-plugin-4.9.0-1-rosa2014.1.x86_64.rpm Phonon Designer plugin
phonon4qt5-devel-4.9.0-1-rosa2014.1.x86_64.rpm Phonon Qt5 development files
phonon4qt5-gstreamer-4.9.0-1-rosa2014.1.x86_64.rpm GStreamer backend to Phonon (Qt5)
photorec-7.0-2-rosa2014.1.x86_64.rpm Data recovery software
php-OSSP-uuid-1.6.2-30-rosa2014.1.x86_64.rpm PHP bindings for ossp-uuid
php-bcmath-5.6.39-1-rosa2014.1.x86_64.rpm The bcmath module for PHP
php-bz2-5.6.39-1-rosa2014.1.x86_64.rpm Bzip2 extension module for PHP
Advertisement
Advertisement